Bug 113432 - smartd dead but subsys locked
smartd dead but subsys locked
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-01-13 16:07 EST by J. Erik Hemdal
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-23 09:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J. Erik Hemdal 2004-01-13 16:07:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
smartd fails to start automatically during bootup.  Checking the
Service Configuration browser reports the error given in the summary.

This is an "out-of-the-box" installation with no smartd.conf. 
Hardware is a Dell Inspiron 1100 with a Hitachi_DK23EA-30 hard drive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot the system (Kernel is 2.4.22-1.2140.nptl
2. Open redhat-config-services; check state of smartd


Actual Results:  Status textbox shows the message.

Expected Results:  Message such as "not running" or "stopped".

Additional info:
Comment 1 Bruce Allen 2004-01-14 08:25:45 EST
Arjan, can you please comment on this bug report?  I'm not sure what's
going on here.  Could this just be a stale lock file in
/var/lock/subsys? Note that smartd does have a '-p' == '--pidfile'
option that you can
use to write the PID into /var/run.

Comment 2 Timothy Graves 2004-05-05 20:20:18 EDT
I just recieved this error using Fedora Core 2 Test 3.  

To fix this problem I edited the /etc/smarted.conf file to reflect the
SMART enabled drive that are present in the system.

It appears that the installer does not configure this file per machine
but uses a default config file that gusses that /dev/hda is in fact a
hard drive (on my machine it is not).
Comment 3 Bruce Allen 2004-05-06 10:06:19 EDT
Hi Timothy,

You are correct that Fedora ships with /etc/smartd.conf configured to
monitor /dev/hda. If that drive does not exist, then errors result.
See related bug reports:

The best solution might be a python script that parses the hardware
database and/or /etc/fstab and then constructs a list of devices to
monitor, and puts this into /etc/smartd.conf.

Fedora maintainers?

Bruce Allen
Comment 4 Dave Jones 2004-11-27 00:36:57 EST
in future, smartd won't be enabled by default.  At some stage, if such a script
were to be written, we could look into reenabling it by default again.
Comment 5 J. Erik Hemdal 2004-11-27 13:10:15 EST
Dave:  This will work around the issue, to be sure.  But for the record,
/dev/hda is a real disk on all my systems.  Do I have to specify by partition
(for instance /dev/hda3 = /boot)?
Comment 6 Dave Jones 2005-01-10 23:53:06 EST
no, it needs to talk to the whole disk, not a partition.
Comment 7 Dave Jones 2005-04-21 22:57:04 EDT
Is this still a problem with the latest errata packages ?

We've done the script mentioned in #3 for some time, so this should be working.
Comment 8 J. Erik Hemdal 2005-04-23 09:54:15 EDT
This seems to be working now.  In my last FC3 installation smartd seems to be
OK.  I haven't been able to test this on the computer which displayed the issue,
but it's no longer a problem for me.  Erik

Note You need to log in before you can comment on or make changes to this bug.